summaryrefslogtreecommitdiffstats
path: root/multimedia/vobcopy/vobcopy.SlackBuild
diff options
context:
space:
mode:
author Nishant Limbachia <nishant@mnspace.net>2010-05-12 17:42:50 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-12 17:42:50 +0200
commit1caecd0cbcaff933055cb38c78978238077dafb5 (patch)
treeca764b42b0e9bfa6d4fb6a1e9c1b242782880efa /multimedia/vobcopy/vobcopy.SlackBuild
parentb69390f6a93641f0bcec8e34dc2ba0b773eb396c (diff)
downloadslackbuilds-1caecd0cbcaff933055cb38c78978238077dafb5.tar.gz
slackbuilds-1caecd0cbcaff933055cb38c78978238077dafb5.tar.xz
multimedia/vobcopy: Updated for version 1.1.2
Diffstat (limited to 'multimedia/vobcopy/vobcopy.SlackBuild')
-rw-r--r--multimedia/vobcopy/vobcopy.SlackBuild56
1 files changed, 16 insertions, 40 deletions
diff --git a/multimedia/vobcopy/vobcopy.SlackBuild b/multimedia/vobcopy/vobcopy.SlackBuild
index c03b39b7f4..c4534d39e9 100644
--- a/multimedia/vobcopy/vobcopy.SlackBuild
+++ b/multimedia/vobcopy/vobcopy.SlackBuild
@@ -1,20 +1,17 @@
#!/bin/sh
-#################################################################################
-
# Slackware Package Build Script for vobcopy
-
# Home Page http://vobcopy.org
# Copyright (c) 2007, Nishant Limbachia (nishant@mnspace.net)
# All rights reserved.
-
+#
# Redistribution and use of this script, with or without modification, is
# permitted provided that the following conditions are met:
-
+#
# 1. Redistributions of script must retain the above copyright notice,
# this list of conditions and the following disclaimer.
-
+#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
@@ -26,11 +23,9 @@
# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-
-#################################################################################
PRGNAM=vobcopy
-VERSION=1.1.1
+VERSION=1.1.2
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -40,8 +35,6 @@ PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
CWD=$(pwd)
-set -e
-
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
@@ -50,26 +43,20 @@ elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
fi
-### clean up from previous builds
+set -e
rm -fr $TMP/$PRGNAM-$VERSION $PKG
mkdir -p $TMP $PKG $OUTPUT
-
-### Extracting the source tarballs
-
cd $TMP
-tar xjvf $CWD/$PRGNAM-$VERSION.tar.bz2
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
cd $TMP/$PRGNAM-$VERSION
-
chown -R root.root .
-
find . \
-\( -perm 664 -o -perm 666 -o -perm 600 -o -perm 440 -o -perm 444 -o -perm 400 \) \
--exec chmod 644 {} \;
-
+ \( -perm 664 -o -perm 666 -o -perm 600 -o -perm 440 -o -perm 444 -o -perm 400 \) \
+ -exec chmod 644 {} \;
find . \
-\( -perm 777 -o -perm 755 -o -perm 711 -o -perm 700 -o -perm 555 -o -perm 511 -o -perm 500 \) \
--exec chmod 755 {} \;
+ \( -perm 777 -o -perm 755 -o -perm 711 -o -perm 700 -o -perm 555 -o -perm 511 -o -perm 500 \) \
+ -exec chmod 755 {} \;
CFLAGS="$SLKCFLAGS" make
mkdir -p $PKG/usr/{bin,include,man/man1}
@@ -78,33 +65,22 @@ install --strip -m 0755 vobcopy $PKG/usr/bin
install -m 0644 vobcopy.1 $PKG/usr/man/man1
install -m 0644 vobcopy.h dvd.h $PKG/usr/include
-### copying essential doc files
-mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-
-cp -a Changelog FAQ README THANKS TODO \
-alternative_programs.txt $PKG/usr/doc/$PRGNAM-$VERSION
-
-# No license in the official tarball, got GPL 2 or later license from
-# http://vobcopy.org/download/unpacked/COPYING
-cat $CWD/COPYING > $PKG/usr/doc/$PRGNAM-$VERSION/COPYING
-
( cd $PKG
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
)
-# find and compress man pages
-if [ -d $PKG/usr/man ]; then
- ( cd $PKG/usr/man
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING Changelog README Release-Notes TODO alternative_programs.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+
+( cd $PKG/usr/man || exit 1
find . -type f -exec gzip -9 {} \;
for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
- )
-fi
+)
-### putting slack-desc and doinst.sh in place
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
-### building package
cd $PKG
/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz